<template>
  <div
    :id="fullscreen ? 'carousel-wrapper' : ''"
    class="d-flex align-center"
  >
    <slot></slot>
    <v-carousel
      id="photo-carousel"
      :style="!fullscreen ? 'width: 100%;' : ''"
      height="auto"
      :hide-delimiters="!fullscreen"
      hide-delimiter-background
      :show-arrows-on-hover="fullscreen"
      show-arrows
      v-model="current"
      :touch="{
              left: () => current++,
              right: () => {
                current = !current ? images.length-1 : current-1;
              }
            }"
    >
      <v-carousel-item
        v-for="(img, i) in images"
        :key="i"
      >
        <v-img
          :src="`${window.location.origin}/api/Containers/container-${id}/download/${img.name}`"
          class="grey lighten-2"
          :aspect-ratio="16/9"
        >
          <template v-slot:placeholder>
            <v-row
              class="fill-height ma-0"
              align="center"
              justify="center"
            >
              <v-progress-circular indeterminate color="grey lighten-5"></v-progress-circular>
            </v-row>
          </template>
        </v-img>
      </v-carousel-item>
    </v-carousel>
  </div>
</template>
<script>
  export default {
    name: 'Carousel',
    props: {
      id: Number,
      images: {},
      index: {},
      fullscreen: Boolean,
    },
    data: function() {
      return {
        current: this.index,
        window: window,
      };
    },
  };
</script>
<style scoped>
  #carousel-wrapper {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1;

    height: 100vh;
    width: 100vw;
    background-color: rgba(0, 0, 0, 0.61);
  }

  #photo-carousel {
    width: 80%;
    margin: 0 auto;
  }

  #close-carousel {
    position: absolute;
    z-index: 2;
    right: 25px;
    top: 10px;
  }
</style>
